From 13d7cd9087f64b0393f51b525d5267bbe57ce837 Mon Sep 17 00:00:00 2001
From: Tomas Vondra <tomas@vondra.me>
Date: Thu, 3 Apr 2025 12:50:18 +0200
Subject: [PATCH v22 7/7] review

---
 src/backend/storage/ipc/shmem.c | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/src/backend/storage/ipc/shmem.c b/src/backend/storage/ipc/shmem.c
index 36d89a58783..f711e7411db 100644
--- a/src/backend/storage/ipc/shmem.c
+++ b/src/backend/storage/ipc/shmem.c
@@ -673,7 +673,11 @@ pg_get_shmem_numa_allocations(PG_FUNCTION_ARGS)
 		{
 			int			s = pages_status[i];
 
-			/* Ensure we are adding only valid index to the array */
+			/* Ensure we are adding only valid index to the array
+			 *
+			 * XXX I think we should just error-out if this is untrue, so that
+			 * we don't silently hide issues.
+			 */
 			if (s >= 0 && s <= max_nodes)
 				nodes[s]++;
 		}
-- 
2.49.0

